Add courier 0.37.0, courier SMTP IMAP POP3 HTTP mail server suite.

PR:		31473
Submitted by:	Yarema <yds@CoolRat.org>
This commit is contained in:
Doug White 2002-01-15 06:17:28 +00:00
parent 2e884fec8c
commit 3110f5e9bb
Notes: svn2git 2021-03-31 03:12:20 +00:00
svn path=/head/; revision=53094
16 changed files with 2088 additions and 0 deletions

View file

@ -17,6 +17,7 @@
SUBDIR += cclient
SUBDIR += cmail
SUBDIR += coolmail
SUBDIR += courier
SUBDIR += courier-imap
SUBDIR += cucipop
SUBDIR += cvsmail

175
mail/courier/Makefile Normal file
View file

@ -0,0 +1,175 @@
# New ports collection makefile for: Courier MTA
# Date created: 17 Oct 2001
# Whom: Yarema <yds@CoolRat.org>
#
# $FreeBSD$
#
PORTNAME= courier
PORTVERSION= 0.37.0
PORTREVISION= 0
CATEGORIES= mail ipv6
MASTER_SITES= http://www.courier-mta.org/beta/%SUBDIR%/ \
${MASTER_SITE_SOURCEFORGE}
MASTER_SITE_SUBDIR= courier
MAINTAINER= yds@CoolRat.org
#BUILD_DEPENDS= ${LOCALBASE}/share/aclocal/sysconftool.m4:${PORTSDIR}/devel/sysconftool
RUN_DEPENDS= ${LOCALBASE}/lib/perl5/site_perl/${PERL_VER}/Net/CIDR.pm:${PORTSDIR}/net/p5-Net-CIDR
#
# User-serviceable variables
#
# [ There's no need to add trailing ``/''s ]
#
# set IMAGEURL to where on the web server URL the images are found
# set CACHEOWNER to who you'd like to own the cache files
# set MAILDROPDEFAULT to what you'd like the $DEFAULT in maildrop to be
# recomended values are: /var/mail, ./Mailbox or ./Maildir
#
IMAGEURL?= /webmail
CACHEOWNER?= pop
MAILDROPDEFAULT?=./Maildir
# End of user-serviceable variables
MAILUSER= courier
MAILGROUP= courier
MAILUID= 62
MAILGID= 62
ETCDIR= ${PREFIX}/etc
SYSCONFDIR= ${ETCDIR}/courier
USERDB= ${ETCDIR}/userdb
LIBEXECDIR= ${PREFIX}/libexec
LOCALSTATEDIR= /var/spool/courier
CACHEDIR= /var/spool/webmail
CALENDIR= /var/spool/calendar
MIMETYPES= ${LOCALBASE}/etc/apache/mime.types
.if !defined(BATCH) && !defined(PACKAGE_BUILDING)
IS_INTERACTIVE= yes
.endif
USE_GMAKE= yes
USE_AUTOMAKE= yes
USE_LIBTOOL= yes
USE_OPENSSL= yes
USE_AUTOMAKE_VER=14
USE_AUTOCONF_VER=213
CONFIGURE_ARGS= --disable-root-check --with-db=db \
--enable-syslog=1 --enable-use-flock \
--with-mailuser=${MAILUSER} \
--with-mailgroup=${MAILGROUP} \
--with-mailuid=${MAILUID} \
--with-mailgid=${MAILGID} \
--with-etcdir=${ETCDIR} \
--sysconfdir=${SYSCONFDIR} \
--with-userdb=${USERDB} \
--datadir=${DATADIR} \
--libexecdir=${LIBEXECDIR} \
--localstatedir=${LOCALSTATEDIR} \
--enable-mimetypes=${MIMETYPES} \
--enable-imageurl=${IMAGEURL} \
--with-cachedir=${CACHEDIR} \
--with-cacheowner=${CACHEOWNER} \
--with-calendardir=${CALENDIR} \
--with-default-maildrop=${MAILDROPDEFAULT} \
--enable-workarounds-for-imap-client-bugs
CONFIGURE_ENV= PATH="${PATH}:${SCRIPTDIR}"
PKGMESSAGE= ${WRKDIR}/.PKGMESSAGE
INSTALL_TARGET= install-strip
PLIST_SUB+= CACHEOWNER="${CACHEOWNER}"
SCRIPTS_ENV= WRKDIRPREFIX="${WRKDIRPREFIX}" \
TOUCH="${TOUCH}" \
MKDIR="${MKDIR}"
.include "${.CURDIR}/Makefile.man"
.include "${.CURDIR}/Makefile.doc"
pre-everything:
@${SETENV} ${SCRIPTS_ENV} ${SH} ${SCRIPTDIR}/configure.courier
.if exists(${WRKDIRPREFIX}${.CURDIR}/Makefile.inc)
.include "${WRKDIRPREFIX}${.CURDIR}/Makefile.inc"
.endif
post-patch:
@${PERL} -pi -e 's:\@datadir\@:\@sysconfdir\@:g;' \
${WRKSRC}/*/mk*cert.* \
${WRKSRC}/*/*/mk*cert.*
@${PERL} -pi -e 's:^(TLS_CERTFILE=)\@datadir\@:$$1\@sysconfdir\@:g;' \
${WRKSRC}/*/*.dist.in \
${WRKSRC}/*/*/*.dist.in
@${PERL} -pi -e 's:^(RANDFILE = )\@datadir\@:$$1\@sysconfdir\@:g;' \
${WRKSRC}/*/*.cnf.in \
${WRKSRC}/*/*/*.cnf.in
pre-configure:
@${SED} s:%%PREFIX%%:${PREFIX}: \
${.CURDIR}/pkg-message \
> ${WRKDIR}/.PKGMESSAGE
@${SED} s:%%PREFIX%%:${PREFIX}: \
${FILESDIR}/crontab \
> ${WRKDIR}/crontab
# patch around a bug in autoconf where the INSTALL macro does
# not get set properly in directories more than one level deep
post-build:
@${PERL} -pi -e 's:^INSTALL = \.\./:INSTALL = ${INSTALL} ${COPY} -o ${BINOWN} -g ${BINGRP}:;' \
`${GREP} -rl '^INSTALL = \.\./' ${WRKSRC}/* | ${GREP} '/Makefile$$'`
@${PERL} -pi -e 's:^TAR = gtar$$:TAR = ${TAR}:g;' \
`${GREP} -rl '^TAR = gtar$$' ${WRKSRC}/* | ${GREP} '/Makefile$$'`
@${PERL} -pi -e 's:^(auth)\s+(required).*:$$1\t\t$$2\tpam_unix.so\ttry_first_pass:g; \
s:^(account)\s+(required).*:$$1 \t$$2\tpam_unix.so:g; \
s:^(session)\s+(required).*:$$1 \t$$2\tpam_permit.so:g;' \
${WRKSRC}/*/*.authpam* \
${WRKSRC}/*/*/*.authpam*
@${LN} ${WRKSRC}/gpglib/README.html ${WRKSRC}/gpglib/README.gpglib.html
@${LN} ${WRKSRC}/imap/FAQ ${WRKSRC}/imap/FAQ.imap
@${LN} ${WRKSRC}/imap/FAQ.html ${WRKSRC}/imap/FAQ.imap.html
@${LN} ${WRKSRC}/imap/README ${WRKSRC}/imap/README.imap
@${LN} ${WRKSRC}/imap/README.html ${WRKSRC}/imap/README.imap.html
@${LN} ${WRKSRC}/maildrop/README.html ${WRKSRC}/maildrop/README.maildrop.html
@${LN} ${WRKSRC}/pcp/README.html ${WRKSRC}/pcp/README.pcp.html
@${LN} ${WRKSRC}/webmail/BUGS ${WRKSRC}/webmail/BUGS.webmail
@${LN} ${WRKSRC}/webmail/BUGS.html ${WRKSRC}/webmail/BUGS.webmail.html
@${LN} ${WRKSRC}/webmail/SECURITY ${WRKSRC}/webmail/SECURITY.webmail
@${LN} ${WRKSRC}/webmail/SECURITY.html ${WRKSRC}/webmail/SECURITY.webmail.html
pre-install:
@PKG_PREFIX="${PREFIX}" ${SH} ${PKGINSTALL} ${PKGNAME} PRE-INSTALL
post-install:
@PKG_PREFIX="${PREFIX}" ${SH} ${PKGINSTALL} ${PKGNAME} POST-INSTALL
@strip ${PREFIX}/libexec/courier/modules/*/*
@${LN} -f ${SYSCONFDIR}/maildrop ${SYSCONFDIR}/maildropfilter
@${INSTALL_DATA} /dev/null ${SYSCONFDIR}/locallowercase
@${INSTALL_SCRIPT} ${FILESDIR}/courier.sh ${PREFIX}/etc/rc.d
@${INSTALL_DATA} ${WRKDIR}/crontab ${PREFIX}/etc/courier/
@${GREP} '^@exec ' ${TMPPLIST} \
| ${SED} -e 's:^@exec ::' -e 's:%D:${PREFIX}:g' \
> ${WRKDIR}/.PLIST.exec \
&& ${SH} ${WRKDIR}/.PLIST.exec
.if !defined(NOPORTDOCS)
@${INSTALL} -d -o ${SHAREOWN} -g ${SHAREGRP} ${DOCSDIR}/html
@${INSTALL_DATA} ${DATADIR}/htmldoc/* ${DOCSDIR}/html
.for file in ${DOCS}
@${INSTALL_DATA} ${WRKSRC}/${file} ${DOCSDIR}
.endfor
.endif
@${RM} -rf ${DATADIR}/htmldoc
@for F in ${MANPREFIX}/man/man[1-9ln]/*; \
do ${CHMOD} ${MANMODE} $$F; \
done
@${CHOWN} -R ${MANOWN}:${MANGRP} ${MANPREFIX}/man/man[1-9ln]
@${CHOWN} -R ${SHAREOWN}:${SHAREGRP} ${DATADIR}
@${CHMOD} -R a-w ${DATADIR}
@${CAT} ${PKGMESSAGE}
post-clean:
@${RM} -f ${WRKDIRPREFIX}${.CURDIR}/Makefile.inc
.include <bsd.port.mk>

20
mail/courier/Makefile.doc Normal file
View file

@ -0,0 +1,20 @@
DOCS= AUTHORS BENCHMARKS INSTALL NEWS README \
authlib/README.authmysql.html \
authlib/README.ldap \
gpglib/README.gpglib.html \
imap/FAQ.imap \
imap/FAQ.imap.html \
imap/README.imap \
imap/README.imap.html \
maildir/README.maildirfilter.html \
maildir/README.maildirquota.html \
maildir/README.maildirquota.txt \
maildir/README.sharedfolders.txt \
maildir/README.sharedfolders.html \
maildrop/README.maildrop.html \
pcp/README.pcp.html \
tcpd/README.couriertls \
webmail/BUGS.webmail \
webmail/BUGS.webmail.html \
webmail/SECURITY.webmail \
webmail/SECURITY.webmail.html

72
mail/courier/Makefile.man Normal file
View file

@ -0,0 +1,72 @@
MAN1= \
cancelmsg.1 \
couriermlm.1 \
couriertcpd.1 \
couriertls.1 \
dot-forward.1 \
dotlock.1 \
mailbot.1 \
maildirmake.1 \
maildrop.1 \
mailq.1 \
makedat.1 \
makemime.1 \
mimegpg.1 \
preline.1 \
reformail.1 \
reformime.1 \
sendmail.1 \
testmxlookup.1
MAN5= \
dot-courier.5 \
maildropex.5 \
maildropfilter.5 \
maildropgdbm.5
MAN7= \
authlib.7 \
localmailfilter.7 \
maildirquota.7
MAN8= \
courier.8 \
courierfilter.8 \
courierldapaliasd.8 \
courierperlfilter.8 \
courierpop3d.8 \
courieruucp.8 \
deliverquota.8 \
dupfilter.8 \
esmtpd.8 \
imapd.8 \
makeacceptmailfor.8 \
makealiases.8 \
makehosteddomains.8 \
makepercentrelay.8 \
makesmtpaccess.8 \
makeuserdb.8 \
mkesmtpdcert.8 \
mkimapdcert.8 \
mkpop3dcert.8 \
pop3d.8 \
submit.8 \
userdb.8 \
userdbpw.8
MLINKS= dot-forward.1 dotforward.1 \
sendmail.1 rmail.1 \
authlib.7 authcram.7 \
authlib.7 authdaemon.7 \
authlib.7 authdaemond.7 \
authlib.7 authldap.7 \
authlib.7 authmysql.7 \
authlib.7 authpam.7 \
authlib.7 authpwd.7 \
authlib.7 authshadow.7 \
authlib.7 authuserdb.7 \
authlib.7 authvchkpw.7 \
courierfilter.8 filterctl.8 \
courierpop3d.8 courierpop3login.8 \
courieruucp.8 makeuucpneighbors.8 \
esmtpd.8 esmtpd-msa.8 \
makesmtpaccess.8 makesmtpaccess-msa.8 \
makeuserdb.8 pw2userdb.8 \
makeuserdb.8 vchkpw2userdb.8

1
mail/courier/distinfo Normal file
View file

@ -0,0 +1 @@
MD5 (courier-0.37.0.tar.gz) = 3bbece1455c9d2de871d3edc9970a1c4

View file

@ -0,0 +1,245 @@
#!/bin/sh
# $FreeBSD: /tmp/pcvs/ports/mail/courier/files/Attic/courier.sh,v 1.1 2002-01-15 06:17:27 dwhite Exp $
#
# This is the ${PREFIX}/etc/rc.d file for Courier SMTP, IMAP and POP3 servers
#
# Adapted for FreeBSD from courier.sysvinit
#
# NOTE: The 'restart' here does a "hard" stop, and a start. Be gentle, use
# "courierd restart" for a kindler, gentler, restart.
#
if ! PREFIX=$(expr $0 : "\(/.*\)/etc/rc\.d/$(basename $0)\$"); then
echo "$0: Cannot determine the PREFIX" >&2
exit 1
fi
prefix="${PREFIX}"
exec_prefix="${prefix}"
sysconfdir="${prefix}/etc/courier"
sbindir="${exec_prefix}/sbin"
libexecdir="${prefix}/libexec"
datadir="${prefix}/share/courier"
arg=${1:-start}
case $arg in
start) # First time after install create aliases.dat and makesmtpaccess.dat
if [ ! -f ${sysconfdir}/aliases.dat \
-a -x ${sbindir}/makealiases ]; then
${sbindir}/makealiases
fi
esmtpdcert=0
ESMTPDSTART=""
if [ -f ${sysconfdir}/esmtpd ]; then
. ${sysconfdir}/esmtpd
case $ESMTPDSTART in
[Yy]*)
esmtpdcert=1
;;
esac
if [ ! -f ${sysconfdir}/esmtpacceptmailfor.dat \
-a -x ${sbindir}/makeacceptmailfor ]; then
${sbindir}/makeacceptmailfor
fi
if [ ! -f ${sysconfdir}/${ACCESSFILE}.dat \
-a -x ${sbindir}/makesmtpaccess ]; then
${sbindir}/makesmtpaccess
fi
fi
ESMTPDSTART=""
if [ -f ${sysconfdir}/esmtpd-msa ]; then
. ${sysconfdir}/esmtpd-msa
case $ESMTPDSTART in
[Yy]*)
esmtpdcert=1
;;
esac
if [ ! -f ${sysconfdir}/${ACCESSFILE}.dat \
-a -x ${sbindir}/makesmtpaccess-msa ]; then
${sbindir}/makesmtpaccess-msa
fi
fi
if [ -x ${sbindir}/courierfilter ]; then
${sbindir}/courierfilter start && echo -n " courierfilter"
fi
if [ -x ${libexecdir}/authlib/authdaemond ]; then
${libexecdir}/authlib/authdaemond start && echo -n " authdaemond"
fi
if [ -x ${sbindir}/courierldapaliasd ]; then
${sbindir}/courierldapaliasd start && echo -n " courierldapaliasd"
fi
case "`cat ${sysconfdir}/calendarmode 2>/dev/null`" in
net)
if [ -x ${libexecdir}/courier/pcpd ]; then
${libexecdir}/courier/pcpd start && echo -n " pcpd"
fi
;;
*)
;;
esac
if [ -x ${sbindir}/courier ]; then
${sbindir}/courier start && echo -n " courierd"
fi
if [ "$esmtpdcert" = 1 ]; then
# If we do not have a certificate, make one up.
if [ ! -f ${sysconfdir}/esmtpd.pem \
-a -x $COURIERTLS \
-a -x ${sbindir}/mkesmtpdcert ]; then
echo -n " generating-ESMTP-SSL-certificate..."
${sbindir}/mkesmtpdcert >/dev/null 2>&1
fi
fi
ESMTPDSTART=""
if [ -f ${sysconfdir}/esmtpd ]; then
. ${sysconfdir}/esmtpd
case $ESMTPDSTART in
[Yy]*)
if [ -x ${sbindir}/esmtpd ]; then
${sbindir}/esmtpd start && echo -n " esmtpd"
fi
;;
esac
fi
ESMTPDSTART=""
if [ -f ${sysconfdir}/esmtpd-msa ]; then
. ${sysconfdir}/esmtpd-msa
case $ESMTPDSTART in
[Yy]*)
if [ -x ${sbindir}/esmtpd-msa ]; then
${sbindir}/esmtpd-msa start && echo -n " esmtpd-msa"
fi
;;
esac
fi
IMAPDSTART=""
if [ -f ${sysconfdir}/imapd ]; then
. ${sysconfdir}/imapd
case $IMAPDSTART in
[Yy]*)
if [ -x ${sbindir}/imapd ]; then
${sbindir}/imapd start && echo -n " imapd"
fi
;;
esac
fi
IMAPDSSLSTART=""
if [ -f ${sysconfdir}/imapd-ssl ]; then
. ${sysconfdir}/imapd-ssl
case $IMAPDSSLSTART in
[Yy]*) # If we do not have a certificate, make one up.
if [ -x $COURIERTLS ]; then
if [ ! -f ${sysconfdir}/imapd.pem \
-a -x ${sbindir}/mkimapdcert ]; then
echo -n " generating-IMAP-SSL-certificate..."
${sbindir}/mkimapdcert >/dev/null 2>&1
fi
if [ -x ${sbindir}/imapd-ssl ]; then
${sbindir}/imapd-ssl start && echo -n " imapd-ssl"
fi
fi
;;
esac
fi
POP3DSTART=""
if [ -f ${sysconfdir}/pop3d ]; then
. ${sysconfdir}/pop3d
case $POP3DSTART in
[Yy]*)
if [ -x ${sbindir}/pop3d ]; then
${sbindir}/pop3d start && echo -n " pop3d"
fi
;;
esac
fi
POP3DSSLSTART=""
if [ -f ${sysconfdir}/pop3d-ssl ]; then
. ${sysconfdir}/pop3d-ssl
case $POP3DSSLSTART in
[Yy]*) # If we do not have a certificate, make one up.
if [ -x $COURIERTLS ]; then
if [ ! -f ${sysconfdir}/pop3d.pem \
-a -x ${sbindir}/mkpop3dcert ]; then
echo -n " generating-POP3-SSL-certificate..."
${sbindir}/mkpop3dcert >/dev/null 2>&1
fi
if [ -x ${sbindir}/pop3d-ssl ]; then
${sbindir}/pop3d-ssl start && echo -n " pop3d-ssl"
fi
fi
;;
esac
fi
;;
stop) # kill courier services in the reverse order of starting them
if [ -x ${sbindir}/pop3d-ssl ]; then
${sbindir}/pop3d-ssl stop && echo -n " pop3d-ssl"
fi
if [ -x ${sbindir}/pop3d ]; then
${sbindir}/pop3d stop && echo -n " pop3d"
fi
if [ -x ${sbindir}/imapd-ssl ]; then
${sbindir}/imapd-ssl stop && echo -n " imapd-ssl"
fi
if [ -x ${sbindir}/imapd ]; then
${sbindir}/imapd stop && echo -n " imapd"
fi
if [ -x ${sbindir}/esmtpd-msa ]; then
${sbindir}/esmtpd-msa stop && echo -n " esmtpd-msa"
fi
if [ -x ${sbindir}/esmtpd ]; then
${sbindir}/esmtpd stop && echo -n " esmtpd"
fi
if [ -x ${sbindir}/courier ]; then
${sbindir}/courier stop && echo -n " courierd"
fi
if [ -x ${libexecdir}/courier/pcpd ]; then
${libexecdir}/courier/pcpd stop && echo -n " pcpd"
fi
if [ -x ${sbindir}/courierldapaliasd ]; then
${sbindir}/courierldapaliasd stop && echo -n " courierldapaliasd"
fi
if [ -x ${libexecdir}/authlib/authdaemond ]; then
${libexecdir}/authlib/authdaemond stop && echo -n " authdaemond"
fi
if [ -x ${sbindir}/courierfilter ]; then
${sbindir}/courierfilter stop && echo " courierfilter"
fi
;;
restart)
$0 stop
$0 start
;;
*)
echo ""
echo "Usage: `basename $0` { start | stop | restart }"
echo ""
exit 64
;;
esac
exit 0

View file

@ -0,0 +1,3 @@
# $FreeBSD: /tmp/pcvs/ports/mail/courier/files/Attic/crontab,v 1.1 2002-01-15 06:17:27 dwhite Exp $
#minute hour mday month wday command
25 * * * * %%PREFIX%%/share/courier/sqwebmail/cleancache.pl

View file

@ -0,0 +1,309 @@
--- courier/perms.sh.in.orig Fri Dec 7 08:37:35 2001
+++ courier/perms.sh.in Wed Dec 19 22:04:44 2001
@@ -10,9 +10,9 @@
exec_prefix="@exec_prefix@"
PERMS="
-. 755
+. 755 x root wheel
-@localstatedir@ 755 x bin bin
+@localstatedir@ 755 x root wheel
@localstatedir@/tmp 770
@localstatedir@/msgs 750
@localstatedir@/msgq 750
@@ -41,120 +41,131 @@
@sysconfdir@/rfcerr2046.txt 444 config
@sysconfdir@/rfcerr2047.txt 444 config
-@libexecdir@ 755 x bin bin
-@libexecdir@/authlib 755 x bin bin
-@libexecdir@/courier 755 x bin bin
-@libexecdir@/courier/modules 755 x bin bin
-@libexecdir@/courier/modules/modules.ctl 444 x bin bin
+@libexecdir@ 755 x root wheel
+@libexecdir@/authlib 755 x root wheel
+@libexecdir@/courier 755 x root wheel
+@libexecdir@/courier/modules 755 x root wheel
+@libexecdir@/courier/modules/dsn 755 x root wheel
+@libexecdir@/courier/modules/esmtp 755 x root wheel
+@libexecdir@/courier/modules/esmtp/authend 555 x root wheel
+@libexecdir@/courier/modules/local 755 x root wheel
+@libexecdir@/courier/modules/local/courierdeliver 555 x root wheel
+@libexecdir@/courier/modules/local/courierlocal 555 x root wheel
+@libexecdir@/courier/modules/modules.ctl 444 x root wheel
+@libexecdir@/courier/modules/uucp 755 x root wheel
@libexecdir@/courier/submitmkdir 4550
-@libexecdir@/courier/courierd 550
-@libexecdir@/courier/courierpop3d 555
-@libexecdir@/courier/courierpop3login 555
+@libexecdir@/courier/courierd 550
+@libexecdir@/courier/courierpop3d 555 x root wheel
+@libexecdir@/courier/courierpop3login 555 x root wheel
@libexecdir@/courier/aliasexp 550
@libexecdir@/courier/aliascombine 550
@libexecdir@/courier/aliascreate 550
@libexecdir@/courier/submit 550
-@libexecdir@/courier/makedatprog 555
-@libexecdir@/courier/imaplogin 555 x bin bin
-@libexecdir@/courier/pcpd 555 x bin bin
-@libexecdir@/courier/webmail 700 x root bin
-@libexecdir@/courier/webmail/webmail 4555 x root bin
-@libexecdir@/courier/webmail/webadmin 4555 x root bin
-
-@sbindir@ 755 x bin bin
-@sbindir@/courier 555
-@sbindir@/showconfig 555
+@libexecdir@/courier/makedatprog 555 x root wheel
+@libexecdir@/courier/imaplogin 555 x root wheel
+@libexecdir@/courier/pcpd 555 x root wheel
+@libexecdir@/courier/webmail 700 x root wheel
+@libexecdir@/courier/webmail/webmail 4555 x root wheel
+@libexecdir@/courier/webmail/webadmin 4555 x root wheel
+@libexecdir@/filters 755 x root wheel
+@libexecdir@/filters/dupfilter 555 x root wheel
+@libexecdir@/filters/perlfilter 555 x root wheel
+
+@sbindir@ 755 x root wheel
+@sbindir@/courier 555 x root wheel
+@sbindir@/showconfig 555 x root wheel
@sbindir@/showmodules 550
-@sbindir@/userdbpw 555
-@sbindir@/couriertcpd 555
-@sbindir@/logger 555
-@sbindir@/imapd 555
-@sbindir@/imapd-ssl 555
-@datadir@/imapd 555 x bin bin
-@datadir@/imapd-ssl 555 x bin bin
+@sbindir@/userdbpw 555 x root wheel
+@sbindir@/couriertcpd 555 x root wheel
+@sbindir@/logger 555 x root wheel
+@sbindir@/imapd 555 x root wheel
+@sbindir@/imapd-ssl 555 x root wheel
+@datadir@/imapd 555 x root wheel
+@datadir@/imapd-ssl 555 x root wheel
-@bindir@ 755 x bin bin
+@bindir@ 755 x root wheel
@bindir@/cancelmsg 6555
-@bindir@/courier-config 555
-@bindir@/mailq 2555
-@bindir@/maildirmake 555
-@bindir@/sendmail 4511 x root
-@bindir@/rmail 4511 x root
-@bindir@/dotlock 555
-@bindir@/deliverquota 555
-@bindir@/mailbot 555
-@bindir@/makemime 555
-@bindir@/reformail 555
-@bindir@/reformime 555
-@bindir@/mimegpg 555
-@bindir@/couriermlm 555
-@bindir@/dotforward 555
-
-@datadir@/makedat 555 x bin bin
-@bindir@/makedat 555
-@bindir@/testmxlookup 555
-@bindir@/imapd 555
-@datadir@/makealiases 550
-@sbindir@/makealiases 550
-@datadir@/makehosteddomains 555
-@sbindir@/makehosteddomains 555
-@datadir@/pop3d 755
-@sbindir@/pop3d 755
-@datadir@/pop3d-ssl 755
-@sbindir@/pop3d-ssl 755
-@datadir@/makeuserdb 555
-@sbindir@/makeuserdb 555
-@datadir@/webgpg 555
-@sbindir@/webgpg 555
-@datadir@/userdb 555
-@sbindir@/userdb 555
-@datadir@/pw2userdb 555
-@sbindir@/pw2userdb 555
-@datadir@/vchkpw2userdb 555
-@sbindir@/vchkpw2userdb 555
-
-@datadir@ 755 x bin bin
-@datadir@/courierctl.start 555
-
-@datadir@/mkimapdcert 755
-@sbindir@/mkimapdcert 755
-@datadir@/mkpop3dcert 755
-@sbindir@/mkpop3dcert 755
-@datadir@/couriermlm 755
-
-@datadir@/couriermlm/adminrequest.tmpl 644
-@datadir@/couriermlm/confsubj.tmpl 644
-@datadir@/couriermlm/digestsubj.tmpl 644
-@datadir@/couriermlm/fetch.tmpl 644
-@datadir@/couriermlm/fetchsubj.tmpl 644
-@datadir@/couriermlm/help.tmpl 644
-@datadir@/couriermlm/idxsubject.tmpl 644
-@datadir@/couriermlm/idxheaderhtml.tmpl 644
-@datadir@/couriermlm/idxheader2html.tmpl 644
-@datadir@/couriermlm/idxheadertxt.tmpl 644
-@datadir@/couriermlm/modrejbody.tmpl 644
-@datadir@/couriermlm/modreject.tmpl 644
-@datadir@/couriermlm/modrejheader.tmpl 644
-@datadir@/couriermlm/modsubject.tmpl 644
-@datadir@/couriermlm/modtext.tmpl 644
-@datadir@/couriermlm/modtext2.tmpl 644
-@datadir@/couriermlm/sub.tmpl 644
-@datadir@/couriermlm/sub2.tmpl 644
-@datadir@/couriermlm/sub3.tmpl 644
-@datadir@/couriermlm/sub4.tmpl 644
-@datadir@/couriermlm/sub5.tmpl 644
-@datadir@/couriermlm/subreportfooter.tmpl 644
-@datadir@/couriermlm/subreporthdr.tmpl 644
-@datadir@/couriermlm/subreporthdr1.tmpl 644
-@datadir@/couriermlm/subreporthdr2.tmpl 644
-@datadir@/couriermlm/subreporthdr3.tmpl 644
-@datadir@/couriermlm/unsub.tmpl 644
-@datadir@/couriermlm/unsub2.tmpl 644
-@datadir@/couriermlm/unsub3.tmpl 644
-@datadir@/couriermlm/warn1headers.tmpl 644
-@datadir@/couriermlm/warn1text.tmpl 644
-@datadir@/couriermlm/warn1text2.tmpl 644
-@datadir@/couriermlm/warn2msg.tmpl 644
+@bindir@/courier-config 555 x root wheel
+@bindir@/mailq 2555 x root
+@bindir@/maildirmake 555 x root wheel
+@bindir@/sendmail 4511 x root wheel
+@bindir@/rmail 4511 x root wheel
+@bindir@/dotlock 555 x root wheel
+@bindir@/deliverquota 555 x root wheel
+@bindir@/mailbot 555 x root wheel
+@bindir@/makemime 555 x root wheel
+@bindir@/reformail 555 x root wheel
+@bindir@/reformime 555 x root wheel
+@bindir@/mimegpg 555 x root wheel
+@bindir@/couriermlm 555 x root wheel
+@bindir@/dotforward 555 x root wheel
+@bindir@/preline 555 x root wheel
+
+@datadir@/makedat 555 x root wheel
+@bindir@/makedat 555 x root wheel
+@bindir@/testmxlookup 555 x root wheel
+@bindir@/imapd 555 x root wheel
+@datadir@/makealiases 555 x root wheel
+@sbindir@/makealiases 555 x root wheel
+@datadir@/makehosteddomains 555 x root wheel
+@sbindir@/makehosteddomains 555 x root wheel
+@datadir@/pop3d 555 x root wheel
+@sbindir@/pop3d 555 x root wheel
+@datadir@/pop3d-ssl 555 x root wheel
+@sbindir@/pop3d-ssl 555 x root wheel
+@datadir@/makeuserdb 555 x root wheel
+@sbindir@/makeuserdb 555 x root wheel
+@datadir@/webgpg 555 x root wheel
+@sbindir@/webgpg 555 x root wheel
+@datadir@/userdb 555 x root wheel
+@sbindir@/userdb 555 x root wheel
+@datadir@/pw2userdb 555 x root wheel
+@sbindir@/pw2userdb 555 x root wheel
+@datadir@/vchkpw2userdb 555 x root wheel
+@sbindir@/vchkpw2userdb 555 x root wheel
+
+@datadir@ 755 x root wheel
+@datadir@/courierctl.start 555 x root wheel
+
+@datadir@/mkimapdcert 555 x root wheel
+@sbindir@/mkimapdcert 555 x root wheel
+@datadir@/mkpop3dcert 555 x root wheel
+@sbindir@/mkpop3dcert 555 x root wheel
+@datadir@/couriermlm 555 x root wheel
+
+@datadir@/couriermlm/adminrequest.tmpl 444 x root wheel
+@datadir@/couriermlm/confsubj.tmpl 444 x root wheel
+@datadir@/couriermlm/digestsubj.tmpl 444 x root wheel
+@datadir@/couriermlm/fetch.tmpl 444 x root wheel
+@datadir@/couriermlm/fetchsubj.tmpl 444 x root wheel
+@datadir@/couriermlm/help.tmpl 444 x root wheel
+@datadir@/couriermlm/idxsubject.tmpl 444 x root wheel
+@datadir@/couriermlm/idxheaderhtml.tmpl 444 x root wheel
+@datadir@/couriermlm/idxheader2html.tmpl 444 x root wheel
+@datadir@/couriermlm/idxheadertxt.tmpl 444 x root wheel
+@datadir@/couriermlm/modrejbody.tmpl 444 x root wheel
+@datadir@/couriermlm/modreject.tmpl 444 x root wheel
+@datadir@/couriermlm/modrejheader.tmpl 444 x root wheel
+@datadir@/couriermlm/modsubject.tmpl 444 x root wheel
+@datadir@/couriermlm/modtext.tmpl 444 x root wheel
+@datadir@/couriermlm/modtext2.tmpl 444 x root wheel
+@datadir@/couriermlm/sub.tmpl 444 x root wheel
+@datadir@/couriermlm/sub2.tmpl 444 x root wheel
+@datadir@/couriermlm/sub3.tmpl 444 x root wheel
+@datadir@/couriermlm/sub4.tmpl 444 x root wheel
+@datadir@/couriermlm/sub5.tmpl 444 x root wheel
+@datadir@/couriermlm/subreportfooter.tmpl 444 x root wheel
+@datadir@/couriermlm/subreporthdr.tmpl 444 x root wheel
+@datadir@/couriermlm/subreporthdr1.tmpl 444 x root wheel
+@datadir@/couriermlm/subreporthdr2.tmpl 444 x root wheel
+@datadir@/couriermlm/subreporthdr3.tmpl 444 x root wheel
+@datadir@/couriermlm/unsub.tmpl 444 x root wheel
+@datadir@/couriermlm/unsub2.tmpl 444 x root wheel
+@datadir@/couriermlm/unsub3.tmpl 444 x root wheel
+@datadir@/couriermlm/warn1headers.tmpl 444 x root wheel
+@datadir@/couriermlm/warn1text.tmpl 444 x root wheel
+@datadir@/couriermlm/warn1text2.tmpl 444 x root wheel
+@datadir@/couriermlm/warn2msg.tmpl 444 x root wheel
"
echo "$PERMS" | while read FILE MODE SPECIAL USER GROUP
@@ -198,7 +209,7 @@
if test "$couriertls" != ""
then
- echo @bindir@/couriertls 555 bin bin
+ echo @bindir@/couriertls 555 root wheel
fi
if test "@HAVE_LDAP@" != 0
@@ -207,23 +218,23 @@
echo @sbindir@/courierldapaliasd 700 @mailuser@ @mailgroup@
fi
-echo @datadir@/sqwebmail/images 755 @mailuser@ @mailgroup@
+echo @datadir@/sqwebmail/images 755 root wheel
for f in `cat ../webmail/images/filelist 2>/dev/null`
do
- echo @datadir@/sqwebmail/images/$f 444 @mailuser@ @mailgroup@
+ echo @datadir@/sqwebmail/images/$f 444 root wheel
done
. ../maildrop/uidgid
-echo @bindir@/maildrop 4511 $uid @mailgroup@
+echo @bindir@/maildrop 4511 $uid mail
sed 's:^:'@sysconfdir@/':;s/$/ 660 @mailuser@ @mailgroup@ config/' <../authlib/authconfiglist
for f in `cat ../authlib/installlist ../authlib/installlist.sh`
do
test -z "$f" && continue
- echo @libexecdir@/authlib/$f 755 bin bin
+ echo @libexecdir@/authlib/$f 555 root wheel
done
. ../authlib/authdaemonrc
@@ -240,16 +251,16 @@
. ../authlib/authpwdprogs
-echo "@authchangepwdir@ 755 @mailuser@ @mailgroup@"
+echo "@authchangepwdir@ 755 root wheel"
for f in `echo $PWPROGS dummy`
do
test "$f" = "dummy" && continue
- echo "@authchangepwdir@/$f 4555 root bin"
+ echo "@authchangepwdir@/$f 4555 root wheel"
done
for f in `echo $PWSCRIPTS dummy`
do
test "$f" = "dummy" && continue
echo "@authchangepwdir@/$f 555 @mailuser@ @mailgroup@"
- echo "@datadir@/$f 555 @mailuser@ @mailgroup@"
+ echo "@datadir@/$f 555 root wheel
done

View file

@ -0,0 +1,18 @@
--- courier/submit2.C.orig Sat Dec 15 16:19:01 2001
+++ courier/submit2.C Mon Jan 14 20:32:21 2002
@@ -800,6 +800,7 @@
return (1);
}
+#if !defined(RFC2045_ERR8BITACCEPT)
if (rwrfcptr->rfcviolation & RFC2045_ERR8BITHEADER)
{
rfcerr= SYSCONFDIR "/rfcerr2047.txt";
@@ -810,6 +811,7 @@
rfcerr= SYSCONFDIR "/rfcerr2045.txt";
dorewrite=1;
}
+#endif
else if (rwrfcptr->rfcviolation & RFC2045_ERRBADBOUNDARY)
{
rfcerr= SYSCONFDIR "/rfcerr2046.txt";

1
mail/courier/pkg-comment Normal file
View file

@ -0,0 +1 @@
Courier SMTP IMAP POP3 HTTP mail server suite

24
mail/courier/pkg-descr Normal file
View file

@ -0,0 +1,24 @@
Courier is a modular multiprotocol mail server that's designed to
strike a balance between reasonable performance, flexibility and
features.
A partial list of features:
* Can be configured to function as an intermediate mail relay, or
as a mail server that receives mail for one or more domains, or
anything in between.
* Web-based administration and configuration tool.
* Uses an efficient maildir format as its native mail storage
format. Some support is provided for legacy mbox mailboxes.
* STARTTLS ESMTP extension (as well as IMAP/POP3/Webmail over SSL)
in both the client and the server (requires OpenSSL). The ESMTP
client can optionally require that the remote server's X.509
certificate is signed by a trusted root CA (a default set of
root CAs is provided).
* Mailboxes can be accessed via POP3, IMAP, and HTTP.
* Courier includes a mailing list manager.
* PAM, LDAP, PostgreSQL, or MySQL authentication.
* Authenticated SMTP.
* Integrated mail filtering.
WWW: http://www.Courier-MTA.org/

112
mail/courier/pkg-install Normal file
View file

@ -0,0 +1,112 @@
#!/bin/sh
#
# $FreeBSD: /tmp/pcvs/ports/mail/courier/Attic/pkg-install,v 1.1 2002-01-15 06:17:26 dwhite Exp $
#
PKG_PREFIX=${PKG_PREFIX:=/usr/local}
ask() {
local question default answer
question=$1
default=$2
if [ -z "${PACKAGE_BUILDING}" ]; then
read -p "${question} [${default}]? " answer
fi
if [ x${answer} = x ]; then
answer=${default}
fi
echo ${answer}
}
yesno() {
local question default answer
question=$1
default=$2
while :; do
answer=$(ask "${question}" "${default}")
case "${answer}" in
[Yy]*) return 0;;
[Nn]*) return 1;;
esac
echo "Please answer yes or no."
done
}
if [ x"$2" = xPRE-INSTALL ]; then
USER=courier; UID=62
GROUP=courier; GID=62
if /usr/sbin/pw groupshow "${GROUP}" 2>/dev/null; then
echo "You already have a group \"${GROUP}\", so I will use it."
else
if /usr/sbin/pw groupadd ${GROUP} -g ${GID} -h -
then
echo "Added group \"${GROUP}\"."
else
echo "Adding group \"${GROUP}\" failed..."
echo "Please create it, and try again."
exit 1
fi
fi
if /usr/sbin/pw user show "${USER}" 2>/dev/null; then
echo "You already have a user \"${USER}\", so I will use it."
else
if /usr/sbin/pw useradd ${USER} -u ${UID} -g ${GROUP} -h - \
-d /var/spool/courier \
-s /sbin/nologin \
-c "Courier Mail System"
then
echo "Added user \"${USER}\"."
else
echo "Adding user \"${USER}\" failed..."
echo "Please create it, and try again."
exit 1
fi
fi
fi
replace() {
local orig repl
orig=$1
repl=$2
if [ -e ${orig} ]; then
mv -f ${orig} ${orig}.OFF
chmod 0 ${orig}.OFF
fi
if [ -e ${repl} ]; then
ln -s ${repl} ${orig}
fi
}
if [ x"$2" = xPOST-INSTALL -a -z "${PACKAGE_BUILDING}" ]; then
if [ -x /sbin/sysctl ]; then
OSVERSION=`/sbin/sysctl -n kern.osreldate`
else
OSVERSION=`/usr/sbin/sysctl -n kern.osreldate`
fi
if [ ${OSVERSION} -ge 400014 ]; then
if yesno "Would you like to activate Courier in /etc/mail/mailer.conf" n; then
mv -f /etc/mail/mailer.conf /etc/mail/mailer.conf.old
echo "#" > /etc/mail/mailer.conf
echo -n "# Execute the Courier sendmail program" >> /etc/mail/mailer.conf
echo ", named ${PKG_PREFIX}/bin/sendmail" >> /etc/mail/mailer.conf
echo "#" >> /etc/mail/mailer.conf
echo "sendmail ${PKG_PREFIX}/bin/sendmail" >> /etc/mail/mailer.conf
echo "send-mail ${PKG_PREFIX}/bin/sendmail" >> /etc/mail/mailer.conf
echo "mailq ${PKG_PREFIX}/bin/mailq" >> /etc/mail/mailer.conf
echo "newaliases ${PKG_PREFIX}/sbin/makealiases" >> /etc/mail/mailer.conf
echo "Done."
fi
else
if yesno "Would you like to replace {sendmail,mailq,newaliases} with Courier versions" n; then
replace /usr/sbin/sendmail ${PKG_PREFIX}/bin/sendmail
replace /usr/bin/mailq ${PKG_PREFIX}/bin/mailq
replace /usr/bin/newaliases ${PKG_PREFIX}/sbin/makealiases
echo "Done."
fi
fi
fi

33
mail/courier/pkg-message Normal file
View file

@ -0,0 +1,33 @@
ATTENTION.........ATTENTION
RTFM before configuring and runnig Courier!!!
Check and/or modify the following configuration files to
suit your needs:
%%PREFIX%%/etc/courier/authdaemonrc
%%PREFIX%%/etc/courier/authldaprc
%%PREFIX%%/etc/courier/authmysqlrc
%%PREFIX%%/etc/courier/authpgsqlrc
%%PREFIX%%/etc/courier/courierd
%%PREFIX%%/etc/courier/esmtpd
%%PREFIX%%/etc/courier/esmtpd-msa
%%PREFIX%%/etc/courier/imapd
%%PREFIX%%/etc/courier/imapd-ssl
%%PREFIX%%/etc/courier/ldapaddressbook
%%PREFIX%%/etc/courier/ldapaliasrc
%%PREFIX%%/etc/courier/pop3d
%%PREFIX%%/etc/courier/pop3d-ssl
Note that some of the configuration files might not exist
depending on which authentication services you chose to
omit.
Do not forget to update /etc/pam.conf with the contents of
%%PREFIX%%/etc/courier/*.authpam. See /etc/pam.conf(8) for
further assistance.
Documentation (if installed locally) is located in
%%PREFIX%%/share/doc/courier/ otherwise see
http://www.Courier-MTA.org/

648
mail/courier/pkg-plist Normal file
View file

@ -0,0 +1,648 @@
@exec pw groupshow courier || pw groupadd courier -g 62 -h -
@exec pw user show courier || pw useradd courier -u 62 -g 62 -h - -d /var/spool/courier -s /sbin/nologin -c "Courier Mail System"
@exec install -d -o courier -g courier -m 0755 %D/etc/courier/aliasdir
@exec install -d -o courier -g courier -m 0750 %D/etc/courier/aliases
@exec install -d -o root -g wheel -m 0755 %D/etc/courier/esmtpacceptmailfor.dir
@exec install -d -o root -g wheel -m 0755 %D/etc/courier/esmtppercentrelay.dir
@exec install -d -o courier -g courier -m 0750 %D/etc/courier/filters/active
@exec install -d -o courier -g courier -m 0755 %D/etc/courier/smtpaccess
@exec install -d -o courier -g courier -m 0700 %D/etc/courier/webadmin
@exec install -d -o courier -g courier -m 0755 %D/etc/courier/webadmin/added
@exec install -d -o courier -g courier -m 0755 %D/etc/courier/webadmin/removed
@unexec %D/etc/rc.d/courier.sh stop 2>/dev/null || true
@unexec rm -f %D/etc/courier/*.dat 2>/dev/null || true
@unexec cmp -s %D/etc/courier/authdaemonrc %D/etc/courier/authdaemonrc.dist && rm -f %D/etc/courier/authdaemonrc 2>/dev/null || true
%%SUB_LDAP%%@unexec cmp -s %D/etc/courier/authldaprc %D/etc/courier/authldaprc.dist && rm -f %D/etc/courier/authldaprc 2>/dev/null || true
%%SUB_MYSQL%%@unexec cmp -s %D/etc/courier/authmysqlrc %D/etc/courier/authmysqlrc.dist && rm -f %D/etc/courier/authmysqlrc 2>/dev/null || true
%%SUB_PGSQL%%@unexec cmp -s %D/etc/courier/authpgsqlrc %D/etc/courier/authpgsqlrc.dist && rm -f %D/etc/courier/authpgsqlrc 2>/dev/null || true
@unexec cmp -s %D/etc/courier/courierd %D/etc/courier/courierd.dist && rm -f %D/etc/courier/courierd 2>/dev/null || true
@unexec cmp -s %D/etc/courier/esmtpd-msa %D/etc/courier/esmtpd-msa.dist && rm -f %D/etc/courier/esmtpd-msa 2>/dev/null || true
@unexec cmp -s %D/etc/courier/esmtpd %D/etc/courier/esmtpd.dist && rm -f %D/etc/courier/esmtpd 2>/dev/null || true
@unexec cmp -s %D/etc/courier/imapd-ssl %D/etc/courier/imapd-ssl.dist && rm -f %D/etc/courier/imapd-ssl 2>/dev/null || true
@unexec cmp -s %D/etc/courier/imapd %D/etc/courier/imapd.dist && rm -f %D/etc/courier/imapd 2>/dev/null || true
@unexec cmp -s %D/etc/courier/ldapaddressbook %D/etc/courier/ldapaddressbook.dist && rm -f %D/etc/courier/ldapaddressbook 2>/dev/null || true
%%SUB_LDAP%%@unexec cmp -s %D/etc/courier/ldapaliasrc %D/etc/courier/ldapaliasrc.dist && rm -f %D/etc/courier/ldapaliasrc 2>/dev/null || true
@unexec cmp -s %D/etc/courier/pop3d-ssl %D/etc/courier/pop3d-ssl.dist && rm -f %D/etc/courier/pop3d-ssl 2>/dev/null || true
@unexec cmp -s %D/etc/courier/pop3d %D/etc/courier/pop3d.dist && rm -f %D/etc/courier/pop3d 2>/dev/null || true
bin/cancelmsg
bin/courier-config
bin/couriermlm
bin/couriertls
bin/deliverquota
bin/dotforward
bin/dotlock
bin/imapd
bin/mailbot
bin/maildirmake
bin/maildrop
bin/mailq
bin/makedat
bin/makemime
bin/mimegpg
bin/preline
bin/reformail
bin/reformime
bin/rmail
bin/sendmail
bin/testmxlookup
etc/courier/aliases/system
etc/courier/authdaemonrc.dist
%%SUB_LDAP%%etc/courier/authldaprc.dist
etc/courier/authmodulelist
%%SUB_MYSQL%%etc/courier/authmysqlrc.dist
%%SUB_PGSQL%%etc/courier/authpgsqlrc.dist
etc/courier/courierd.dist
etc/courier/crontab
etc/courier/dsndelayed.txt
etc/courier/dsndelivered.txt
etc/courier/dsnfailed.txt
etc/courier/dsnfooter.txt
etc/courier/dsnheader.txt
etc/courier/dsnrelayed.txt
etc/courier/dsnsubjectnotice.txt
etc/courier/dsnsubjectwarn.txt
etc/courier/enablefiltering
etc/courier/esmtp.authpam
etc/courier/esmtpauthclient
etc/courier/esmtpd-msa.dist
etc/courier/esmtpd.cnf
etc/courier/esmtpd.dist
etc/courier/imapd-ssl.dist
etc/courier/imapd.authpam
etc/courier/imapd.cnf
etc/courier/imapd.dist
etc/courier/ldapaddressbook.dist
%%SUB_LDAP%%etc/courier/ldapaliasrc.dist
etc/courier/locallowercase
etc/courier/maildrop
etc/courier/maildropfilter
etc/courier/module.dsn
etc/courier/module.esmtp
etc/courier/module.local
etc/courier/module.uucp
etc/courier/pop3d-ssl.dist
etc/courier/pop3d.authpam
etc/courier/pop3d.cnf
etc/courier/pop3d.dist
etc/courier/quotawarnmsg.example
etc/courier/rfcerr2045.txt
etc/courier/rfcerr2046.txt
etc/courier/rfcerr2047.txt
etc/courier/rfcerrheader.txt
etc/courier/smtpaccess/default
etc/courier/webmail.authpam
@exec [ -e /etc/aliases ] && ln -sf /etc/aliases %D/etc/courier/aliases/system
@exec [ -f %D/etc/courier/authdaemonrc ] || cp -p %D/etc/courier/authdaemonrc.dist %D/etc/courier/authdaemonrc
%%SUB_LDAP%%@exec [ -f %D/etc/courier/authldaprc ] || cp -p %D/etc/courier/authldaprc.dist %D/etc/courier/authldaprc
%%SUB_MYSQL%%@exec [ -f %D/etc/courier/authmysqlrc ] || cp -p %D/etc/courier/authmysqlrc.dist %D/etc/courier/authmysqlrc
%%SUB_PGSQL%%@exec [ -f %D/etc/courier/authpgsqlrc ] || cp -p %D/etc/courier/authpgsqlrc.dist %D/etc/courier/authpgsqlrc
@exec [ -f %D/etc/courier/courierd ] || cp -p %D/etc/courier/courierd.dist %D/etc/courier/courierd
@exec [ -f %D/etc/courier/esmtpd-msa ] || cp -p %D/etc/courier/esmtpd-msa.dist %D/etc/courier/esmtpd-msa
@exec [ -f %D/etc/courier/esmtpd ] || cp -p %D/etc/courier/esmtpd.dist %D/etc/courier/esmtpd
@exec [ -f %D/etc/courier/imapd-ssl ] || cp -p %D/etc/courier/imapd-ssl.dist %D/etc/courier/imapd-ssl
@exec [ -f %D/etc/courier/imapd ] || cp -p %D/etc/courier/imapd.dist %D/etc/courier/imapd
@exec [ -f %D/etc/courier/ldapaddressbook ] || cp -p %D/etc/courier/ldapaddressbook.dist %D/etc/courier/ldapaddressbook
%%SUB_LDAP%%@exec [ -f %D/etc/courier/ldapaliasrc ] || cp -p %D/etc/courier/ldapaliasrc.dist %D/etc/courier/ldapaliasrc
@exec [ -f %D/etc/courier/pop3d-ssl ] || cp -p %D/etc/courier/pop3d-ssl.dist %D/etc/courier/pop3d-ssl
@exec [ -f %D/etc/courier/pop3d ] || cp -p %D/etc/courier/pop3d.dist %D/etc/courier/pop3d
@unexec rmdir %D/etc/courier/aliasdir 2>/dev/null || true
@unexec rmdir %D/etc/courier/aliases 2>/dev/null || true
@unexec rmdir %D/etc/courier/esmtpacceptmailfor.dir 2>/dev/null || true
@unexec rmdir %D/etc/courier/esmtppercentrelay.dir 2>/dev/null || true
@unexec rmdir %D/etc/courier/filters/active 2>/dev/null || true
@unexec rmdir %D/etc/courier/filters 2>/dev/null || true
@unexec rmdir %D/etc/courier/smtpaccess 2>/dev/null || true
@unexec rmdir %D/etc/courier/webadmin/added 2>/dev/null || true
@unexec rmdir %D/etc/courier/webadmin/removed 2>/dev/null || true
@unexec rmdir %D/etc/courier/webadmin 2>/dev/null || true
@unexec rmdir %D/etc/courier 2>/dev/null || true
etc/rc.d/courier.sh
libexec/authlib/authdaemon
libexec/authlib/authdaemond
%%SUB_LDAP%%libexec/authlib/authdaemond.ldap
%%SUB_MYSQL%%libexec/authlib/authdaemond.mysql
%%SUB_PGSQL%%libexec/authlib/authdaemond.pgsql
libexec/authlib/authdaemond.plain
libexec/authlib/changepwd/authdaemon.passwd
libexec/authlib/changepwd/authsystem.passwd
libexec/courier/aliascombine
libexec/courier/aliascreate
libexec/courier/aliasexp
libexec/courier/courierd
libexec/courier/courierpop3d
libexec/courier/courierpop3login
libexec/courier/imaplogin
libexec/courier/makedatprog
libexec/courier/modules/dsn/courierdsn
libexec/courier/modules/esmtp/addcr
libexec/courier/modules/esmtp/authend
libexec/courier/modules/esmtp/authstart
libexec/courier/modules/esmtp/courieresmtp
libexec/courier/modules/esmtp/courieresmtpd
libexec/courier/modules/local/courierdeliver
libexec/courier/modules/local/courierlocal
libexec/courier/modules/modules.ctl
libexec/courier/modules/uucp/courieruucp
libexec/courier/pcpd
libexec/courier/submit
libexec/courier/submitmkdir
libexec/courier/webmail/webadmin
libexec/courier/webmail/webmail
libexec/filters/dupfilter
libexec/filters/perlfilter
@dirrm libexec/authlib/changepwd
@dirrm libexec/authlib
@dirrm libexec/courier/modules/uucp
@dirrm libexec/courier/modules/local
@dirrm libexec/courier/modules/esmtp
@dirrm libexec/courier/modules/dsn
@dirrm libexec/courier/modules
@dirrm libexec/courier/webmail
@dirrm libexec/courier
@dirrm libexec/filters
sbin/courier
sbin/courieresmtpd
sbin/courierfilter
%%SUB_LDAP%%sbin/courierldapaliasd
sbin/couriertcpd
sbin/esmtpd
sbin/esmtpd-msa
sbin/filterctl
sbin/imapd
sbin/imapd-ssl
sbin/logger
sbin/makeacceptmailfor
sbin/makealiases
sbin/makehosteddomains
sbin/makepercentrelay
sbin/makesmtpaccess
sbin/makesmtpaccess-msa
sbin/makeuserdb
sbin/makeuucpneighbors
sbin/mkesmtpdcert
sbin/mkimapdcert
sbin/mkpop3dcert
sbin/pop3d
sbin/pop3d-ssl
sbin/pw2userdb
sbin/showconfig
sbin/showmodules
sbin/userdb
sbin/userdbpw
sbin/vchkpw2userdb
sbin/webgpg
share/courier/authsystem.passwd
share/courier/courierctl.start
share/courier/couriermlm/adminrequest.tmpl
share/courier/couriermlm/confsubj.tmpl
share/courier/couriermlm/digestsubj.tmpl
share/courier/couriermlm/fetch.tmpl
share/courier/couriermlm/fetchsubj.tmpl
share/courier/couriermlm/help.tmpl
share/courier/couriermlm/idxheader2html.tmpl
share/courier/couriermlm/idxheaderhtml.tmpl
share/courier/couriermlm/idxheadertxt.tmpl
share/courier/couriermlm/idxsubject.tmpl
share/courier/couriermlm/modrejbody.tmpl
share/courier/couriermlm/modreject.tmpl
share/courier/couriermlm/modrejheader.tmpl
share/courier/couriermlm/modsubject.tmpl
share/courier/couriermlm/modtext.tmpl
share/courier/couriermlm/modtext2.tmpl
share/courier/couriermlm/sub.tmpl
share/courier/couriermlm/sub2.tmpl
share/courier/couriermlm/sub3.tmpl
share/courier/couriermlm/sub4.tmpl
share/courier/couriermlm/sub5.tmpl
share/courier/couriermlm/subreportfooter.tmpl
share/courier/couriermlm/subreporthdr.tmpl
share/courier/couriermlm/subreporthdr1.tmpl
share/courier/couriermlm/subreporthdr2.tmpl
share/courier/couriermlm/subreporthdr3.tmpl
share/courier/couriermlm/unsub.tmpl
share/courier/couriermlm/unsub2.tmpl
share/courier/couriermlm/unsub3.tmpl
share/courier/couriermlm/warn1headers.tmpl
share/courier/couriermlm/warn1text.tmpl
share/courier/couriermlm/warn1text2.tmpl
share/courier/couriermlm/warn2msg.tmpl
@dirrm share/courier/couriermlm
share/courier/courierwebadmin/admin-00machine.html
share/courier/courierwebadmin/admin-00machine.pl
share/courier/courierwebadmin/admin-05local.html
share/courier/courierwebadmin/admin-05local.pl
share/courier/courierwebadmin/admin-10password.html
share/courier/courierwebadmin/admin-10password.pl
share/courier/courierwebadmin/admin-15ldap.pl
share/courier/courierwebadmin/admin-15ldapa.pl
share/courier/courierwebadmin/admin-15ldap.html
share/courier/courierwebadmin/admin-15ldapa.html
share/courier/courierwebadmin/admin-15mysql.html
share/courier/courierwebadmin/admin-15mysql.pl
share/courier/courierwebadmin/admin-15pgsql.pl
share/courier/courierwebadmin/admin-15pgsql.html
share/courier/courierwebadmin/admin-20aliases.html
share/courier/courierwebadmin/admin-20aliases.pl
share/courier/courierwebadmin/admin-30esmtp.html
share/courier/courierwebadmin/admin-30esmtp.pl
share/courier/courierwebadmin/admin-31esmtp.pl
share/courier/courierwebadmin/admin-31esmtp.html
share/courier/courierwebadmin/admin-40imap.pl
share/courier/courierwebadmin/admin-40imap.html
share/courier/courierwebadmin/admin-45pop3.pl
share/courier/courierwebadmin/admin-45pop3.html
share/courier/courierwebadmin/admin-47webmail.html
share/courier/courierwebadmin/admin-47webmail.pl
share/courier/courierwebadmin/admin-50bofh.html
share/courier/courierwebadmin/admin-50bofh.pl
share/courier/courierwebadmin/admin-cancel.pl
share/courier/courierwebadmin/admin-main.html
share/courier/courierwebadmin/admin-main.pl
share/courier/courierwebadmin/admin-save.pl
share/courier/courierwebadmin/admin-save.html
share/courier/courierwebadmin/dumpenv.pl
share/courier/courierwebadmin/login.html
share/courier/courierwebadmin/notsupp.html
share/courier/courierwebadmin/unsecure.html
share/courier/courierwebadmin/webadmin.pl
share/courier/courierwebadmin/webadmin.pm
@dirrm share/courier/courierwebadmin
share/courier/esmtpd
share/courier/filterctl
share/courier/imapd
share/courier/imapd-ssl
share/courier/locale/locale.alias
@dirrm share/courier/locale
share/courier/makeacceptmailfor
share/courier/makealiases
share/courier/makedat
share/courier/makehosteddomains
share/courier/makepercentrelay
share/courier/makesmtpaccess
share/courier/makeuserdb
share/courier/makeuucpneighbors
share/courier/mkesmtpdcert
share/courier/mkimapdcert
share/courier/mkpop3dcert
share/courier/perlfilter-example.pl
share/courier/perlfilter-wrapper.pl
share/courier/pop3d
share/courier/pop3d-ssl
share/courier/pw2userdb
share/courier/rootcerts/0bb21872.0
share/courier/rootcerts/0e82f83a.0
share/courier/rootcerts/11f154d6.0
share/courier/rootcerts/1a147d5b.0
share/courier/rootcerts/256fd83b.0
share/courier/rootcerts/2d047263.0
share/courier/rootcerts/2edf7016.0
share/courier/rootcerts/412bea73.0
share/courier/rootcerts/54edfa5d.0
share/courier/rootcerts/5f5e5caa.0
share/courier/rootcerts/6166cb50.0
share/courier/rootcerts/61f6c934.0
share/courier/rootcerts/66ec64da.0
share/courier/rootcerts/6c55cf77.0
share/courier/rootcerts/6d6ec79c.0
share/courier/rootcerts/709afd2b.0
share/courier/rootcerts/72fa7371.0
share/courier/rootcerts/7651b327.0
share/courier/rootcerts/7d3cd826.0
share/courier/rootcerts/7d453d8f.0
share/courier/rootcerts/8efac7d4.0
share/courier/rootcerts/9d0c2a65.0
share/courier/rootcerts/b0f3e76e.0
share/courier/rootcerts/b5f329fa.0
share/courier/rootcerts/bcdd5959.0
share/courier/rootcerts/belsign-object-publishing-ca.pem
share/courier/rootcerts/belsign-secure-server-ca.pem
share/courier/rootcerts/bffe8b5d.0
share/courier/rootcerts/c19d42c7.0
share/courier/rootcerts/c33a80d4.0
share/courier/rootcerts/c527e4ab.0
share/courier/rootcerts/ccf7ff0e.0
share/courier/rootcerts/class-1-public-primary-ocsp-responder.pem
share/courier/rootcerts/class-2-public-primary-ocsp-responder.pem
share/courier/rootcerts/class-3-public-primary-ocsp-responder.pem
share/courier/rootcerts/d78a75c7.0
share/courier/rootcerts/ddc328ff.0
share/courier/rootcerts/dfd0b044.0
share/courier/rootcerts/e28f6bbc.0
share/courier/rootcerts/ed049835.0
share/courier/rootcerts/ed62f4e3.0
share/courier/rootcerts/f10dd942.0
share/courier/rootcerts/f4996e82.0
share/courier/rootcerts/f73e89fd.0
share/courier/rootcerts/globalsign-partners-ca.pem
share/courier/rootcerts/globalsign-primary-class-1-ca.pem
share/courier/rootcerts/globalsign-primary-class-2-ca.pem
share/courier/rootcerts/globalsign-primary-class-3-ca.pem
share/courier/rootcerts/globalsign-root-ca.pem
share/courier/rootcerts/http-www-valicert-com-00.pem
share/courier/rootcerts/http-www-valicert-com-01.pem
share/courier/rootcerts/http-www-valicert-com-02.pem
share/courier/rootcerts/http-www-valicert-net.pem
share/courier/rootcerts/rsa-data-security-inc-secure-server.pem
share/courier/rootcerts/secure-server-ocsp-responder.pem
share/courier/rootcerts/tc-trustcenter-for-security-in-00.pem
share/courier/rootcerts/tc-trustcenter-for-security-in-01.pem
share/courier/rootcerts/tc-trustcenter-for-security-in-02.pem
share/courier/rootcerts/tc-trustcenter-for-security-in-03.pem
share/courier/rootcerts/tc-trustcenter-for-security-in-04.pem
share/courier/rootcerts/thawte-personal-basic-ca.pem
share/courier/rootcerts/thawte-personal-freemail-ca.pem
share/courier/rootcerts/thawte-personal-premium-ca.pem
share/courier/rootcerts/thawte-premium-server-ca.pem
share/courier/rootcerts/thawte-server-ca.pem
share/courier/rootcerts/thawte-universal-ca-root.pem
share/courier/rootcerts/verisign-class-1-public-primary.pem
share/courier/rootcerts/verisign-class-2-public-primary.pem
share/courier/rootcerts/verisign-class-3-public-primary.pem
share/courier/rootcerts/verisign-class-4-public-primary.pem
share/courier/rootcerts/verisign-inc-class-1-public-primary.pem
share/courier/rootcerts/verisign-inc-class-2-public-primary.pem
share/courier/rootcerts/verisign-inc-class-3-public-primary.pem
share/courier/rootcerts/verisign-inc-class-4-public-primary.pem
share/courier/rootcerts/verisign-inc-verisign-trust-network-00.pem
share/courier/rootcerts/verisign-inc-verisign-trust-network-01.pem
share/courier/rootcerts/verisign-inc-verisign-trust-network-02.pem
share/courier/rootcerts/verisign-inc-verisign-trust-network-03.pem
@dirrm share/courier/rootcerts
share/courier/sqwebmail/cleancache.pl
share/courier/sqwebmail/html/en-us/CHARSET
share/courier/sqwebmail/html/en-us/ISPELLDICT
share/courier/sqwebmail/html/en-us/LANGUAGE
share/courier/sqwebmail/html/en-us/LANGUAGE_PREF
share/courier/sqwebmail/html/en-us/LOCALE
share/courier/sqwebmail/html/en-us/TIMEZONELIST
share/courier/sqwebmail/html/en-us/abooklist.html
share/courier/sqwebmail/html/en-us/attachments.html
share/courier/sqwebmail/html/en-us/autoresponder.html
share/courier/sqwebmail/html/en-us/calendarlogin.inc.html
share/courier/sqwebmail/html/en-us/empty.html
share/courier/sqwebmail/html/en-us/eventacl.html
share/courier/sqwebmail/html/en-us/eventdaily.html
share/courier/sqwebmail/html/en-us/eventdelete.html
share/courier/sqwebmail/html/en-us/eventmonthly.html
share/courier/sqwebmail/html/en-us/eventnotifydelete.txt
share/courier/sqwebmail/html/en-us/eventnotifynew.txt
share/courier/sqwebmail/html/en-us/eventnotifysubject.txt
share/courier/sqwebmail/html/en-us/eventshow.html
share/courier/sqwebmail/html/en-us/eventweekly.html
share/courier/sqwebmail/html/en-us/expired.html
share/courier/sqwebmail/html/en-us/filter.html
share/courier/sqwebmail/html/en-us/folder.html
share/courier/sqwebmail/html/en-us/folders.html
share/courier/sqwebmail/html/en-us/gpg.html
share/courier/sqwebmail/html/en-us/gpgcreate.html
share/courier/sqwebmail/html/en-us/gpgerr.html
share/courier/sqwebmail/html/en-us/index.html
share/courier/sqwebmail/html/en-us/invalid.html
share/courier/sqwebmail/html/en-us/keyimport.html
share/courier/sqwebmail/html/en-us/ldaplist.html
share/courier/sqwebmail/html/en-us/ldapsearch.html
share/courier/sqwebmail/html/en-us/login.html
share/courier/sqwebmail/html/en-us/navbar.inc.html
share/courier/sqwebmail/html/en-us/navbar2.inc.html
share/courier/sqwebmail/html/en-us/navbar3.inc.html
share/courier/sqwebmail/html/en-us/newevent.html
share/courier/sqwebmail/html/en-us/newmsg.html
share/courier/sqwebmail/html/en-us/preferences.html
share/courier/sqwebmail/html/en-us/print.html
share/courier/sqwebmail/html/en-us/printnocookie.html
share/courier/sqwebmail/html/en-us/printredirect.html
share/courier/sqwebmail/html/en-us/quickadd.html
share/courier/sqwebmail/html/en-us/readmsg.html
share/courier/sqwebmail/html/en-us/redirect.html
share/courier/sqwebmail/html/en-us/spellchk.html
@dirrm share/courier/sqwebmail/html/en-us
@exec [ -L %D/share/courier/sqwebmail/html/en ] || ln -sf en-us %D/share/courier/sqwebmail/html/en 2>/dev/null || true
@unexec rm -f %D/share/courier/sqwebmail/html/en 2>/dev/null || true
@dirrm share/courier/sqwebmail/html
share/courier/sqwebmail/images/bg.gif
share/courier/sqwebmail/images/bluebottomleft.gif
share/courier/sqwebmail/images/bluebottomright.gif
share/courier/sqwebmail/images/bluetopleft.gif
share/courier/sqwebmail/images/bluetopright.gif
share/courier/sqwebmail/images/calendar.gif
share/courier/sqwebmail/images/cancel.gif
share/courier/sqwebmail/images/folder.gif
share/courier/sqwebmail/images/folder2.gif
share/courier/sqwebmail/images/folders.gif
share/courier/sqwebmail/images/forward.gif
share/courier/sqwebmail/images/forwardatt.gif
share/courier/sqwebmail/images/fullheaders.gif
share/courier/sqwebmail/images/graybottomright.gif
share/courier/sqwebmail/images/graybottomleft.gif
share/courier/sqwebmail/images/graytopleft.gif
share/courier/sqwebmail/images/graytopright.gif
share/courier/sqwebmail/images/left.gif
share/courier/sqwebmail/images/left2.gif
share/courier/sqwebmail/images/logo.gif
share/courier/sqwebmail/images/print.gif
share/courier/sqwebmail/images/reply.gif
share/courier/sqwebmail/images/replyall.gif
share/courier/sqwebmail/images/replylist.gif
share/courier/sqwebmail/images/right.gif
share/courier/sqwebmail/images/right2.gif
share/courier/sqwebmail/images/sep.gif
share/courier/sqwebmail/images/signin.gif
share/courier/sqwebmail/images/sqwebmail.css
share/courier/sqwebmail/images/trash2.gif
share/courier/sqwebmail/images/uncancel.gif
@dirrm share/courier/sqwebmail/images
share/courier/sqwebmail/ldapsearch
share/courier/sqwebmail/sendit.sh
share/courier/sqwebmail/webgpg
@dirrm share/courier/sqwebmail
share/courier/userdb
share/courier/vchkpw2userdb
share/courier/webgpg
@dirrm share/courier
%%PORTDOCS%%share/doc/courier/AUTHORS
%%PORTDOCS%%share/doc/courier/BENCHMARKS
%%PORTDOCS%%share/doc/courier/BUGS.webmail
%%PORTDOCS%%share/doc/courier/BUGS.webmail.html
%%PORTDOCS%%share/doc/courier/FAQ.imap
%%PORTDOCS%%share/doc/courier/FAQ.imap.html
%%PORTDOCS%%share/doc/courier/INSTALL
%%PORTDOCS%%share/doc/courier/NEWS
%%PORTDOCS%%share/doc/courier/README
%%PORTDOCS%%share/doc/courier/README.authmysql.html
%%PORTDOCS%%share/doc/courier/README.couriertls
%%PORTDOCS%%share/doc/courier/README.gpglib.html
%%PORTDOCS%%share/doc/courier/README.imap
%%PORTDOCS%%share/doc/courier/README.imap.html
%%PORTDOCS%%share/doc/courier/README.ldap
%%PORTDOCS%%share/doc/courier/README.maildirfilter.html
%%PORTDOCS%%share/doc/courier/README.maildirquota.html
%%PORTDOCS%%share/doc/courier/README.maildirquota.txt
%%PORTDOCS%%share/doc/courier/README.maildrop.html
%%PORTDOCS%%share/doc/courier/README.pcp.html
%%PORTDOCS%%share/doc/courier/README.sharedfolders.html
%%PORTDOCS%%share/doc/courier/README.sharedfolders.txt
%%PORTDOCS%%share/doc/courier/SECURITY.webmail
%%PORTDOCS%%share/doc/courier/SECURITY.webmail.html
%%PORTDOCS%%share/doc/courier/html/FAQ.html
%%PORTDOCS%%share/doc/courier/html/aliases.html
%%PORTDOCS%%share/doc/courier/html/authlib.html
%%PORTDOCS%%share/doc/courier/html/cancelmsg.html
%%PORTDOCS%%share/doc/courier/html/courier.html
%%PORTDOCS%%share/doc/courier/html/courierd.html
%%PORTDOCS%%share/doc/courier/html/courierdsn.html
%%PORTDOCS%%share/doc/courier/html/courierfilter.html
%%PORTDOCS%%share/doc/courier/html/courierldapaliasd.html
%%PORTDOCS%%share/doc/courier/html/couriermlm.html
%%PORTDOCS%%share/doc/courier/html/courierperlfilter.html
%%PORTDOCS%%share/doc/courier/html/courierpop3d.html
%%PORTDOCS%%share/doc/courier/html/couriertcpd.html
%%PORTDOCS%%share/doc/courier/html/couriertls.html
%%PORTDOCS%%share/doc/courier/html/courieruucp.html
%%PORTDOCS%%share/doc/courier/html/deliverquota.html
%%PORTDOCS%%share/doc/courier/html/dot-courier.html
%%PORTDOCS%%share/doc/courier/html/dot-forward.html
%%PORTDOCS%%share/doc/courier/html/dotlock.html
%%PORTDOCS%%share/doc/courier/html/draft-varshavchik-exdata-smtpext.txt
%%PORTDOCS%%share/doc/courier/html/draft-varshavchik-security-smtpext.txt
%%PORTDOCS%%share/doc/courier/html/draft-varshavchik-verp-smtpext.txt
%%PORTDOCS%%share/doc/courier/html/dupfilter.html
%%PORTDOCS%%share/doc/courier/html/esmtp.html
%%PORTDOCS%%share/doc/courier/html/esmtpd.html
%%PORTDOCS%%share/doc/courier/html/favicon.ico
%%PORTDOCS%%share/doc/courier/html/history.html
%%PORTDOCS%%share/doc/courier/html/imapd.html
%%PORTDOCS%%share/doc/courier/html/index.html
%%PORTDOCS%%share/doc/courier/html/install.html
%%PORTDOCS%%share/doc/courier/html/intro.html
%%PORTDOCS%%share/doc/courier/html/layout.html
%%PORTDOCS%%share/doc/courier/html/links.html
%%PORTDOCS%%share/doc/courier/html/local.html
%%PORTDOCS%%share/doc/courier/html/localmailfilter.html
%%PORTDOCS%%share/doc/courier/html/mailbot.html
%%PORTDOCS%%share/doc/courier/html/maildirmake.html
%%PORTDOCS%%share/doc/courier/html/maildirquota.html
%%PORTDOCS%%share/doc/courier/html/maildrop.README.html
%%PORTDOCS%%share/doc/courier/html/maildrop.html
%%PORTDOCS%%share/doc/courier/html/maildropex.html
%%PORTDOCS%%share/doc/courier/html/maildropfilter.html
%%PORTDOCS%%share/doc/courier/html/maildropgdbm.html
%%PORTDOCS%%share/doc/courier/html/maildroptips.html
%%PORTDOCS%%share/doc/courier/html/mailq.html
%%PORTDOCS%%share/doc/courier/html/makeacceptmailfor.html
%%PORTDOCS%%share/doc/courier/html/makealiases.html
%%PORTDOCS%%share/doc/courier/html/makedat.html
%%PORTDOCS%%share/doc/courier/html/makehosteddomains.html
%%PORTDOCS%%share/doc/courier/html/makemime.html
%%PORTDOCS%%share/doc/courier/html/makepercentrelay.html
%%PORTDOCS%%share/doc/courier/html/makesmtpaccess.html
%%PORTDOCS%%share/doc/courier/html/makeuserdb.html
%%PORTDOCS%%share/doc/courier/html/mimegpg.html
%%PORTDOCS%%share/doc/courier/html/mkesmtpdcert.html
%%PORTDOCS%%share/doc/courier/html/mkimapdcert.html
%%PORTDOCS%%share/doc/courier/html/mkpop3dcert.html
%%PORTDOCS%%share/doc/courier/html/modules.html
%%PORTDOCS%%share/doc/courier/html/pcp_README.html
%%PORTDOCS%%share/doc/courier/html/pop3d.html
%%PORTDOCS%%share/doc/courier/html/preline.html
%%PORTDOCS%%share/doc/courier/html/queue.html
%%PORTDOCS%%share/doc/courier/html/reformail.html
%%PORTDOCS%%share/doc/courier/html/reformime.html
%%PORTDOCS%%share/doc/courier/html/sendmail.html
%%PORTDOCS%%share/doc/courier/html/status.html
%%PORTDOCS%%share/doc/courier/html/structures.html
%%PORTDOCS%%share/doc/courier/html/submit.html
%%PORTDOCS%%share/doc/courier/html/testmxlookup.html
%%PORTDOCS%%share/doc/courier/html/userdb.html
%%PORTDOCS%%share/doc/courier/html/userdbpw.html
%%PORTDOCS%%@dirrm share/doc/courier/html
%%PORTDOCS%%@dirrm share/doc/courier
@exec chown courier:courier %D/bin/cancelmsg
@exec chown root:mail %D/bin/maildrop
@exec chown root:courier %D/bin/mailq
@exec chown courier:courier %D/etc/courier
@exec chown -Rh courier:courier %D/etc/courier/aliases
@exec chown courier:courier %D/etc/courier/authdaemonrc.dist
%%SUB_LDAP%%@exec chown root:wheel %D/etc/courier/authldaprc.dist
@exec chown courier:courier %D/etc/courier/authmodulelist
%%SUB_MYSQL%%@exec chown root:wheel %D/etc/courier/authmysqlrc.dist
%%SUB_PGSQL%%@exec chown root:wheel %D/etc/courier/authpgsqlrc.dist
@exec chown root:wheel %D/etc/courier/courierd.dist
@exec chown courier:courier %D/etc/courier/dsndelayed.txt
@exec chown courier:courier %D/etc/courier/dsndelivered.txt
@exec chown courier:courier %D/etc/courier/dsnfailed.txt
@exec chown courier:courier %D/etc/courier/dsnfooter.txt
@exec chown courier:courier %D/etc/courier/dsnheader.txt
@exec chown courier:courier %D/etc/courier/dsnrelayed.txt
@exec chown courier:courier %D/etc/courier/dsnsubjectnotice.txt
@exec chown courier:courier %D/etc/courier/dsnsubjectwarn.txt
@exec chown root:wheel %D/etc/courier/enablefiltering
@exec chown root:wheel %D/etc/courier/esmtp.authpam
@exec chown courier:courier %D/etc/courier/esmtpauthclient
@exec chown root:wheel %D/etc/courier/esmtpd-msa.dist
@exec chown root:wheel %D/etc/courier/esmtpd.cnf
@exec chown root:wheel %D/etc/courier/esmtpd.dist
@exec chown root:wheel %D/etc/courier/imapd-ssl.dist
@exec chown root:wheel %D/etc/courier/imapd.authpam
@exec chown root:wheel %D/etc/courier/imapd.cnf
@exec chown root:wheel %D/etc/courier/imapd.dist
@exec chown root:wheel %D/etc/courier/ldapaddressbook.dist
@exec chown root:wheel %D/etc/courier/locallowercase
@exec chown root:wheel %D/etc/courier/maildrop
@exec chown root:wheel %D/etc/courier/maildropfilter
@exec chown courier:courier %D/etc/courier/module.dsn
@exec chown courier:courier %D/etc/courier/module.esmtp
@exec chown courier:courier %D/etc/courier/module.local
@exec chown courier:courier %D/etc/courier/module.uucp
@exec chown root:wheel %D/etc/courier/pop3d-ssl.dist
@exec chown root:wheel %D/etc/courier/pop3d.authpam
@exec chown root:wheel %D/etc/courier/pop3d.cnf
@exec chown root:wheel %D/etc/courier/pop3d.dist
@exec chown root:wheel %D/etc/courier/quotawarnmsg.example
@exec chown root:wheel %D/etc/courier/rfcerr2045.txt
@exec chown root:wheel %D/etc/courier/rfcerr2046.txt
@exec chown root:wheel %D/etc/courier/rfcerr2047.txt
@exec chown root:wheel %D/etc/courier/rfcerrheader.txt
@exec chown root:wheel %D/etc/courier/smtpaccess/default
@exec chown root:wheel %D/etc/courier/webmail.authpam
@exec chown courier:courier %D/libexec/courier/aliascombine
@exec chown courier:courier %D/libexec/courier/aliascreate
@exec chown courier:courier %D/libexec/courier/aliasexp
@exec chown courier:courier %D/libexec/courier/courierd
@exec chown courier:courier %D/libexec/courier/modules/dsn/courierdsn
@exec chown courier:courier %D/libexec/courier/modules/esmtp/addcr
@exec chown root:wheel %D/libexec/courier/modules/esmtp/authend
@exec chown root:courier %D/libexec/courier/modules/esmtp/authstart
@exec chown courier:courier %D/libexec/courier/modules/esmtp/courieresmtp
@exec chown courier:courier %D/libexec/courier/modules/esmtp/courieresmtpd
@exec chown courier:courier %D/libexec/courier/modules/uucp/courieruucp
@exec chown courier:courier %D/libexec/courier/submit
@exec chown courier:courier %D/libexec/courier/submitmkdir
@exec chown courier:courier %D/sbin/showmodules
@exec install -d -o root -g wheel -m 0755 /var/spool/calendar
@exec install -d -o %%CACHEOWNER%% -g courier -m 0700 /var/spool/calendar/localcache
@exec install -d -o root -g courier -m 0750 /var/spool/calendar/private
@exec install -d -o root -g courier -m 0755 /var/spool/calendar/public
@exec install -d -o root -g wheel -m 0755 /var/spool/courier
@exec install -d -o courier -g courier -m 0750 /var/spool/courier/allfilters
@exec install -d -o courier -g courier -m 0770 /var/spool/courier/authdaemon
@exec install -d -o courier -g courier -m 0750 /var/spool/courier/filters
@exec install -d -o courier -g courier -m 0750 /var/spool/courier/msgq
@exec install -d -o courier -g courier -m 0750 /var/spool/courier/msgs
@exec install -d -o courier -g courier -m 0770 /var/spool/courier/tmp
@exec install -d -o root -g wheel -m 0755 /var/spool/courier/tmp/broken
@exec install -d -o %%CACHEOWNER%% -g mail -m 0700 /var/spool/webmail
@exec crontab -u %%CACHEOWNER%% %D/etc/courier/crontab 2>/dev/null || true
@unexec crontab -u %%CACHEOWNER%% -l 2>/dev/null || true
@unexec crontab -u %%CACHEOWNER%% -r || true
@unexec [ -d /var/spool/courier ] && chown -R courier:courier /var/spool/courier
@unexec echo ""
@unexec echo "Warning: Removing user courier will also delete any"
@unexec echo " undelivered mail in the mail queue directories!!!"
@unexec echo " Do not do it if you're upgrading and would like"
@unexec echo " courier to continue trying to deliver this mail."
@unexec echo ""
@unexec rmuser courier 2>/dev/null || true
@unexec [ -d /var/spool/courier ] && chown 0:0 /var/spool/courier 2>/dev/null || true
@unexec [ -d /var/spool/courier/tmp/broken ] && chown 0:0 /var/spool/courier/tmp/broken 2>/dev/null || true
@unexec rm -rf /var/spool/calendar 2>/dev/null || true
@unexec rm -rf /var/spool/webmail 2>/dev/null || true

View file

@ -0,0 +1,156 @@
#!/usr/bin/perl
# Perl c_rehash script, scan all files in a directory
# and add symbolic links to their hash values.
my $openssl;
my $dir = "/etc/ssl";
if(defined $ENV{OPENSSL}) {
$openssl = $ENV{OPENSSL};
} else {
$openssl = "openssl";
$ENV{OPENSSL} = $openssl;
}
if(! -f $openssl) {
my $found = 0;
foreach (split /:/, $ENV{PATH}) {
if(-f "$_/$openssl") {
$found = 1;
last;
}
}
if($found == 0) {
print STDERR "c_rehash: rehashing skipped ('openssl' program not available)\n";
exit 0;
}
}
if(@ARGV) {
@dirlist = @ARGV;
} elsif($ENV{SSL_CERT_DIR}) {
@dirlist = split /:/, $ENV{SSL_CERT_DIR};
} else {
$dirlist[0] = "$dir/certs";
}
foreach (@dirlist) {
if(-d $_ and -w $_) {
hash_dir($_);
}
}
sub hash_dir {
my %hashlist;
print "Doing $_[0]\n";
chdir $_[0];
opendir(DIR, ".");
my @flist = readdir(DIR);
# Delete any existing symbolic links
foreach (grep {/^[\da-f]+\.r{0,1}\d+$/} @flist) {
if(-l $_) {
unlink $_;
}
}
closedir DIR;
FILE: foreach $fname (grep {/\.pem$/} @flist) {
# Check to see if certificates and/or CRLs present.
my ($cert, $crl) = check_file($fname);
if(!$cert && !$crl) {
print STDERR "WARNING: $fname does not contain a certificate or CRL: skipping\n";
next;
}
link_hash_cert($fname) if($cert);
link_hash_crl($fname) if($crl);
}
}
sub check_file {
my ($is_cert, $is_crl) = (0,0);
my $fname = $_[0];
open IN, $fname;
while(<IN>) {
if(/^-----BEGIN (.*)-----/) {
my $hdr = $1;
if($hdr =~ /^(X509 |TRUSTED |)CERTIFICATE$/) {
$is_cert = 1;
last if($is_crl);
} elsif($hdr eq "X509 CRL") {
$is_crl = 1;
last if($is_cert);
}
}
}
close IN;
return ($is_cert, $is_crl);
}
# Link a certificate to its subject name hash value, each hash is of
# the form <hash>.<n> where n is an integer. If the hash value already exists
# then we need to up the value of n, unless its a duplicate in which
# case we skip the link. We check for duplicates by comparing the
# certificate fingerprints
sub link_hash_cert {
my $fname = $_[0];
my ($hash, $fprint) = `$openssl x509 -hash -fingerprint -noout -in $fname`;
chomp $hash;
chomp $fprint;
$fprint =~ s/^.*=//;
$fprint =~ tr/://d;
my $suffix = 0;
# Search for an unused hash filename
while(exists $hashlist{"$hash.$suffix"}) {
# Hash matches: if fingerprint matches its a duplicate cert
if($hashlist{"$hash.$suffix"} eq $fprint) {
print STDERR "WARNING: Skipping duplicate certificate $fname\n";
return;
}
$suffix++;
}
$hash .= ".$suffix";
print "$fname => $hash\n";
$symlink_exists=eval {symlink("",""); 1};
if ($symlink_exists) {
symlink $fname, $hash;
} else {
system ("cp", $fname, $hash);
}
$hashlist{$hash} = $fprint;
}
# Same as above except for a CRL. CRL links are of the form <hash>.r<n>
sub link_hash_crl {
my $fname = $_[0];
my ($hash, $fprint) = `$openssl crl -hash -fingerprint -noout -in $fname`;
chomp $hash;
chomp $fprint;
$fprint =~ s/^.*=//;
$fprint =~ tr/://d;
my $suffix = 0;
# Search for an unused hash filename
while(exists $hashlist{"$hash.r$suffix"}) {
# Hash matches: if fingerprint matches its a duplicate cert
if($hashlist{"$hash.r$suffix"} eq $fprint) {
print STDERR "WARNING: Skipping duplicate CRL $fname\n";
return;
}
$suffix++;
}
$hash .= ".r$suffix";
print "$fname => $hash\n";
$symlink_exists=eval {symlink("",""); 1};
if ($symlink_exists) {
symlink $fname, $hash;
} else {
system ("cp", $fname, $hash);
}
$hashlist{$hash} = $fprint;
}

View file

@ -0,0 +1,270 @@
#!/bin/sh
# $FreeBSD: /tmp/pcvs/ports/mail/courier/scripts/Attic/configure.courier,v 1.1 2002-01-15 06:17:28 dwhite Exp $
[ -f ${WRKDIRPREFIX}${CURDIR}/Makefile.inc ] && exit
tempfile=`mktemp -t checklist`
if [ -x ${PREFIX}/pgsql/bin/postgres -a ! -x ${PREFIX}/bin/postgres ]; then
PGSQLBASE=${PREFIX}/pgsql
PGSQLINCLUDES=${PGSQLBASE}/include
else
PGSQLBASE=${PREFIX}
PGSQLINCLUDES=${PGSQLBASE}/include/pgsql
fi
if [ "${BATCH}" = "yes" ]; then
[ "x${ENABLE_ACCEPT8BIT}" = "xYES" ] && OPTIONS="${OPTIONS} \"Accept8bit\""
[ "x${ENABLE_EXPECT}" = "xYES" ] && OPTIONS="${OPTIONS} \"Expect\""
[ "x${ENABLE_GNUPG}" = "xYES" ] && OPTIONS="${OPTIONS} \"GnuPG\""
[ "x${ENABLE_ASPELL}" = "xYES" ] && OPTIONS="${OPTIONS} \"ASpell\""
[ "x${ENABLE_ISPELL}" = "xYES" ] && OPTIONS="${OPTIONS} \"ISpell\""
[ "x${ENABLE_LDAP1}" = "xYES" ] && OPTIONS="${OPTIONS} \"OpenLDAP1\""
[ "x${ENABLE_LDAP2}" = "xYES" ] && OPTIONS="${OPTIONS} \"OpenLDAP2\""
[ "x${ENABLE_MYSQL}" = "xYES" ] && OPTIONS="${OPTIONS} \"MySQL\""
[ "x${ENABLE_PGSQL}" = "xYES" ] && OPTIONS="${OPTIONS} \"PostgreSQL\""
[ "x${ENABLE_VPOPMAIL}" = "xYES" ] && OPTIONS="${OPTIONS} \"VPopMail\""
[ "x${ENABLE_PROCMAIL}" = "xYES" ] && OPTIONS="${OPTIONS} \"Procmail\""
[ "x${ENABLE_IPV6}" = "xYES" ] && OPTIONS="${OPTIONS} \"IPv6\""
[ -n "${OPTIONS}" ] && set ${OPTIONS}
else
if [ "x${ENABLE_ACCEPT8BIT}" = "xYES" ]; then
SET_ACCEPT8BIT="ON"
else
SET_ACCEPT8BIT="OFF"
fi
if [ "x${ENABLE_EXPECT}" = "xYES" \
-o -x ${LOCALBASE}/bin/expect ]; then
SET_EXPECT="ON"
else
SET_EXPECT="OFF"
fi
if [ "x${ENABLE_GNUPG}" = "xYES" \
-o -x ${LOCALBASE}/bin/gpg ]; then
SET_GNUPG="ON"
else
SET_GNUPG="OFF"
fi
if [ "x${ENABLE_ASPELL}" = "xYES" \
-o -x ${LOCALBASE}/bin/aspell ]; then
SET_ASPELL="ON"
else
SET_ASPELL="OFF"
fi
if [ "x${ENABLE_ISPELL}" = "xYES" \
-o -x ${LOCALBASE}/bin/ispell \
-a "x${SET_ASPELL}" = "xOFF" ]; then
SET_ISPELL="ON"
else
SET_ISPELL="OFF"
fi
if [ "x${ENABLE_LDAP1}" = "xYES" \
-o -f ${LOCALBASE}/lib/libldap.so.1 \
-a -f ${LOCALBASE}/lib/liblber.so.1 ]; then
SET_LDAP1="ON"
else
SET_LDAP1="OFF"
fi
if [ "x${ENABLE_LDAP2}" = "xYES" \
-o -f ${LOCALBASE}/lib/libldap.so.2 \
-a -f ${LOCALBASE}/lib/liblber.so.2 \
-a "x${SET_LDAP1}" = "xOFF" ]; then
SET_LDAP2="ON"
else
SET_LDAP2="OFF"
fi
if [ "x${ENABLE_MYSQL}" = "xYES" \
-o -f ${LOCALBASE}/lib/mysql/libmysqlclient.so.10 ]; then
SET_MYSQL="ON"
else
SET_MYSQL="OFF"
fi
if [ "x${ENABLE_PGSQL}" = "xYES" \
-o -f ${PGSQLBASE}/lib/libpq.so.2 ]; then
SET_PGSQL="ON"
else
SET_PGSQL="OFF"
fi
if [ "x${ENABLE_VPOPMAIL}" = "xYES" \
-o -f ${LOCALBASE}/vpopmail/lib/libvpopmail.a ]; then
SET_VPOPMAIL="ON" # authvchkpw and authmysql
SET_MYSQL="OFF" # are mutually exclusive
else
SET_VPOPMAIL="OFF"
fi
if [ "x${ENABLE_PROCMAIL}" = "xYES" \
-o -x ${LOCALBASE}/bin/procmail ]; then
SET_PROCMAIL="ON"
else
SET_PROCMAIL="OFF"
fi
if [ "x${ENABLE_IPV6}" = "xYES" ]; then
SET_IPV6="ON"
else
SET_IPV6="OFF"
fi
/usr/bin/dialog --title "Courier configuration options" --clear \
--checklist "\n\
Please select desired options:" -1 -1 16 \
Accept8bit "http://www.Courier-MTA.org/FAQ.html#esmtperr" ${SET_ACCEPT8BIT} \
Expect "Expect support for WebMail change passwd" ${SET_EXPECT} \
GnuPG "GNU Privacy Guard support for WebMail" ${SET_GNUPG} \
ASpell "ASpell support for WebMail" ${SET_ASPELL} \
ISpell "ISpell support for WebMail" ${SET_ISPELL} \
OpenLDAP1 "OpenLDAP 1.x authentication support" ${SET_LDAP1} \
OpenLDAP2 "OpenLDAP 2.x authentication support" ${SET_LDAP2} \
MySQL "MySQL authentication support" ${SET_MYSQL} \
PostgreSQL "PostgreSQL authentication support" ${SET_PGSQL} \
VPopMail "VPopMail authentication support" ${SET_VPOPMAIL} \
Procmail "Procmail local delivery support" ${SET_PROCMAIL} \
IPv6 "IPv6 support (experimental)" ${SET_IPV6} \
2> $tempfile
retval=$?
if [ -s $tempfile ]; then
set `cat $tempfile`
fi
rm -f $tempfile
case $retval in
0) [ -z "$*" ] && echo "Nothing selected"
;;
1) echo "Cancel pressed."
exit 1
;;
esac
fi
${MKDIR} ${WRKDIRPREFIX}${CURDIR}
exec > ${WRKDIRPREFIX}${CURDIR}/Makefile.inc
echo "PREFIX= ${PREFIX}"
WITH_ISPELL="--without-ispell"
WITH_LDAP="--without-authldap"
WITH_MYSQL="--without-authmysql"
WITH_PGSQL="--without-authpgsql"
WITH_VCHKPW="--without-authvchkpw"
WITH_IPV6="--without-ipv6"
SUB_LDAP="@comment "
SUB_MYSQL="@comment "
SUB_PGSQL="@comment "
while [ "$1" ]; do
case $1 in
\"Accept8bit\")
echo "CXXFLAGS+= -DRFC2045_ERR8BITACCEPT"
;;
\"Expect\")
echo "BUILD_DEPENDS+= expect:${PORTSDIR}/lang/expect"
;;
\"GnuPG\")
echo "BUILD_DEPENDS+= gpg:${PORTSDIR}/security/gnupg"
;;
\"ASpell\")
if [ "$ISPELL" ]; then
echo "ASpell and ISpell are mutually exclusive." > /dev/stderr
rm -f ${WRKDIRPREFIX}${CURDIR}/Makefile.inc
exit 1
fi
echo "BUILD_DEPENDS+= aspell:${PORTSDIR}/textproc/aspell"
WITH_ISPELL="--with-ispell=${LOCALBASE}/bin/aspell"
ASPELL=1
;;
\"ISpell\")
if [ "$ASPELL" ]; then
echo "ASpell and ISpell are mutually exclusive." > /dev/stderr
rm -f ${WRKDIRPREFIX}${CURDIR}/Makefile.inc
exit 1
fi
echo "BUILD_DEPENDS+= ispell:${PORTSDIR}/textproc/ispell"
WITH_ISPELL="--with-ispell=${LOCALBASE}/bin/ispell"
ISPELL=1
;;
\"OpenLDAP1\")
if [ "$OPENLDAP2" ]; then
echo "OpenLDAP1 and OpenLDAP2 are mutually exclusive." > /dev/stderr
rm -f ${WRKDIRPREFIX}${CURDIR}/Makefile.inc
exit 1
fi
echo "LIB_DEPENDS+= ldap.1:\${PORTSDIR}/net/openldap"
CPPFLAGS="${CPPFLAGS} -I${LOCALBASE}/include"
LDFLAGS="${LDFLAGS} -L${LOCALBASE}/lib"
WITH_LDAP="--with-authldap"
PKGNAMESUFFIX="${PKGNAMESUFFIX}-ldap"
SUB_LDAP=""
OPENLDAP1=1
;;
\"OpenLDAP2\")
if [ "$OPENLDAP1" ]; then
echo "OpenLDAP1 and OpenLDAP2 are mutually exclusive." > /dev/stderr
rm -f ${WRKDIRPREFIX}${CURDIR}/Makefile.inc
exit 1
fi
echo "LIB_DEPENDS+= ldap.2:\${PORTSDIR}/net/openldap2"
CPPFLAGS="${CPPFLAGS} -I${LOCALBASE}/include"
LDFLAGS="${LDFLAGS} -L${LOCALBASE}/lib"
WITH_LDAP="--with-authldap"
PKGNAMESUFFIX="${PKGNAMESUFFIX}-ldap"
SUB_LDAP=""
OPENLDAP2=1
;;
\"MySQL\")
if [ -f ${LOCALBASE}/vpopmail/lib/libvpopmail.a ]; then
echo "VPopMAil and MySQL are mutually exclusive." > /dev/stderr
echo "Uninstall VPopMAil if you want MySQL authentication." > /dev/stderr
rm -f ${WRKDIRPREFIX}${CURDIR}/Makefile.inc
exit 1
else
echo "LIB_DEPENDS+= mysqlclient.10:${PORTSDIR}/databases/mysql323-client"
WITH_MYSQL="--with-authmysql"
WITH_MYSQL="${WITH_MYSQL} --with-mysql-libs=${LOCALBASE}/lib/mysql"
WITH_MYSQL="${WITH_MYSQL} --with-mysql-includes=${LOCALBASE}/include/mysql"
PKGNAMESUFFIX="${PKGNAMESUFFIX}-mysql"
SUB_MYSQL=""
fi
;;
\"PostgreSQL\")
echo "LIB_DEPENDS+= pq.2:\${PORTSDIR}/databases/postgresql7"
WITH_PGSQL="--with-authpgsql"
WITH_PGSQL="${WITH_PGSQL} --with-pgsql-libs=${PGSQLBASE}/lib"
WITH_PGSQL="${WITH_PGSQL} --with-pgsql-includes=${PGSQLINCLUDES}"
PKGNAMESUFFIX="${PKGNAMESUFFIX}-pgsql"
SUB_PGSQL=""
;;
\"VPopMail\")
echo "BUILD_DEPENDS+= ${LOCALBASE}/vpopmail/lib/libvpopmail.a:${PORTSDIR}/mail/vpopmail"
WITH_VCHKPW="--with-authvchkpw"
PKGNAMESUFFIX="${PKGNAMESUFFIX}-vpopmail"
;;
\"Procmail\")
echo "BUILD_DEPENDS+= procmail:${PORTSDIR}/mail/procmail"
;;
\"IPv6\")
WITH_IPV6=""
;;
*)
echo "Invalid option(s): $*" > /dev/stderr
rm -f ${WRKDIRPREFIX}${CURDIR}/Makefile.inc
exit 1
;;
esac
shift
done
[ -n "${CPPFLAGS}" ] && echo "CONFIGURE_ENV+= CPPFLAGS='${CPPFLAGS}'"
[ -n "${LDFLAGS}" ] && echo "CONFIGURE_ENV+= LDFLAGS='${LDFLAGS}'"
[ -n "${LIBS}" ] && echo "CONFIGURE_ENV+= LIBS='${LIBS}'"
echo "CONFIGURE_ARGS+= ${WITH_ISPELL}"
echo "CONFIGURE_ARGS+= ${WITH_LDAP}"
echo "CONFIGURE_ARGS+= ${WITH_MYSQL}"
echo "CONFIGURE_ARGS+= ${WITH_PGSQL}"
echo "CONFIGURE_ARGS+= ${WITH_VCHKPW}"
echo "CONFIGURE_ARGS+= ${WITH_IPV6}"
echo "PKGNAMESUFFIX= ${PKGNAMESUFFIX}"
echo "PLIST_SUB+= SUB_LDAP='${SUB_LDAP}'"
echo "PLIST_SUB+= SUB_MYSQL='${SUB_MYSQL}'"
echo "PLIST_SUB+= SUB_PGSQL='${SUB_PGSQL}'"